Package org.apache.tapestry5.http.internal

## Class TapestryHttpInternalConstants

- java.lang.Object
- - org.apache.tapestry5.http.internal.TapestryHttpInternalConstants

-     public class TapestryHttpInternalConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CHARSET_CONTENT_TYPE_PARAMETER` |
    `static java.lang.String` | `CONTENT_ENCODING_HEADER` | Name of response header for content encoding.
    `static java.lang.String` | `DISABLE_DEFAULT_MODULES_PARAM` | Turns off loading of default modules (as driven by JAR file Manifest entries).
    `static java.lang.String` | `GZIP_CONTENT_ENCODING` | Response content encoding value indicating use of GZIP compression.
    `static java.lang.String` | `TAPESTRY_APP_PACKAGE_PARAM` | Init parameter used to identify the package from which application classes are loaded.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryHttpInternalConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAPESTRY_APP_PACKAGE_PARAM

          public static final java.lang.String TAPESTRY_APP_PACKAGE_PARAM

      Init parameter used to identify the package from which application classes are loaded. Such classes are in the pages, components and mixins sub-packages.
      See Also:
        Constant Field Values

    - #### DISABLE_DEFAULT_MODULES_PARAM

          public static final java.lang.String DISABLE_DEFAULT_MODULES_PARAM

      Turns off loading of default modules (as driven by JAR file Manifest entries).
      See Also:
        Constant Field Values

    - #### CHARSET_CONTENT_TYPE_PARAMETER

          public static final java.lang.String CHARSET_CONTENT_TYPE_PARAMETER

      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING_HEADER

          public static final java.lang.String CONTENT_ENCODING_HEADER

      Name of response header for content encoding.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

    - #### GZIP_CONTENT_ENCODING

          public static final java.lang.String GZIP_CONTENT_ENCODING

      Response content encoding value indicating use of GZIP compression.
      Since:
        5.1.0.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TapestryHttpInternalConstants

          public TapestryHttpInternalConstants()